# Projet CREP

Git du projet CREP (projet IMA 2019 P42)

## PercTeacher

Pour nous faciliter l'écriture du parcours que devra faire le robot, nous avons eu l'idée de créer un logiciel pour piloter le robot depuis un PC via liaison série et d'enregistrer le parcours ainsi créé.
Nous avons choisi de le réaliser en Java, car la création d'une interface graphique est plus simple.
Chaque mouvement est décomposé en "action". Une action correspond à deux valeurs de pas à effectué par les deux moteur pas-à-pas ainsi que deux délais qui correspondent à la durée d'attente entre chaque pas
(plus le délai est cours, plus la vitesse est importante). Ce tableau d'action s'exporte en quatre tableaux de long (pas moteur gauche + droit + délais moteur gauche + droit) qui pourrons être directement
utilisé dans le programme final.

En plus de l'interface graphique, le logiciel possède des raccourcis claviers comme suit :
* Les touches du pavé numérique de 1 à 9 (excepté 5) correspondes aux différents mouvements.
* La touche espace ajoute une nouvelle action.
* La touche 0 du pavé numérique ajoute une pause (ouvre un dialog demandant la durée).
* La touche retour arrière permet de retourner en arrière.

Le logiciel a été nommé "PercTeacher" ("Perc" étant le nom donné au robot dans le scénario).